# Generated from abstract_feature_branch-1.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name abstract_feature_branch

Name: rubygem-%{gem_name}
Version: 1.5.1
Release: 1%{?dist}
Summary: abstract_feature_branch is a Ruby gem that provides a variation on the Branch by Abstraction Pattern by Paul Hammant and the Feature Toggles Pattern by Martin Fowler (aka Feature Flags) to enable Continuous Integration and Trunk-Based Development
License: MIT
URL: http://github.com/AndyObtiva/abstract_feature_branch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 2.3.9
# BuildRequires: rubygem(jeweler) < 2.4
# BuildRequires: rubygem(rspec) = 2.14.1
# BuildRequires: rubygem(psych) = 3.3.4
# BuildRequires: rubygem(rake-tui) >= 0.2
# BuildRequires: rubygem(rake-tui) < 1
BuildArch: noarch

%description
abstract_feature_branch is a Ruby gem that provides a unique variation on the
Branch by Abstraction Pattern by Paul Hammant and the Feature Toggles Pattern
by Martin Fowler to enhance team productivity and improve software fault
tolerance.
It provides the ability to wrap blocks of code with an abstract feature branch
name, and then specify in a configuration file which features to be switched
on or off.
The goal is to build out upcoming features in the same source code repository
branch (i.e. Continuous Integration and Trunk-Based Development), regardless
of whether all are completed by the next release date or not, thus increasing
team productivity by preventing integration delays. Developers then disable
in-progress features until they are ready to be switched on in production, yet
enable them locally and in staging environments for in-progress testing.
This gives developers the added benefit of being able to switch a feature off
after release should big problems arise for a high risk feature.
abstract_feature_branch additionally supports Domain Driven Design's pattern
of Bounded Contexts by allowing developers to configure context-specific
feature files if needed.
abstract_feature_branch is one of the simplest and most minimalistic "Feature
Flags" Ruby gems out there as it enables you to get started very quickly by
simply leveraging YAML files without having to set up a data store if you do
not need it (albeit, you also have the option to use Redis as a very fast
in-memory data store).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/abstract_feature_branch.gemspec

%changelog
* Tue Feb 14 2023 mockbuilder - 1.5.1-1
- Initial package
